php71-php-oci8-7.1.23-1.fc28.remi.x86_64.rpm


Advertisement

Description

php71-php-oci8 - A module for PHP applications that use OCI8 databases

Property Value
Distribution Fedora 28
Repository Les RPM de Remi x86_64
Package name php71-php-oci8
Package version 7.1.23
Package release 1.fc28.remi
Package architecture x86_64
Package type rpm
Installed size 216.56 KB
Download size 120.36 KB
Official Mirror rpms.remirepo.net
The php71-php-oci8 packages provides the OCI8 extension version 2.1.8
and the PDO driver to access Oracle Database.
The extension is linked with Oracle client libraries 18.3
(Oracle Instant Client).  For details, see Oracle's note
"Oracle Client / Server Interoperability Support" (ID 207303.1).
You must install libclntsh.so.18.3 to use this package, provided
in the database installation, or in the free Oracle Instant Client
available from Oracle.
Notice:
- php71-php-oci8 provides oci8 and pdo_oci extensions from php sources.
- php71-php-pecl-oci8 only provides oci8 extension.
Documentation is at http://php.net/oci8 and http://php.net/pdo_oci

Alternatives

Package Version Architecture Repository
php71-php-oci8-7.1.24~RC1-2.fc28.remi.x86_64.rpm 7.1.24~RC1 x86_64 Les RPM de Remi Testing
php71-php-oci8-7.1.24~RC1-1.fc28.remi.x86_64.rpm 7.1.24~RC1 x86_64 Les RPM de Remi Testing
php71-php-oci8-7.1.24-1.fc28.remi.x86_64.rpm 7.1.24 x86_64 Les RPM de Remi
php71-php-oci8 - - -

Requires

Name Value
php71-php-pdo(x86-64) = 7.1.23-1.fc28.remi

Provides

Name Value
config(php71-php-oci8) = 7.1.23-1.fc28.remi
php71-php-oci8 = 7.1.23-1.fc28.remi
php71-php-oci8(x86-64) = 7.1.23-1.fc28.remi
php71-php-pdo_oci -
php71-php-pdo_oci(x86-64) -
php71-php-pecl(oci8) = 2.1.8
php71-php-pecl(oci8)(x86-64) = 2.1.8
php71-php_database -

Conflicts

Name Value
php71-php-pecl-oci8 >= 2.1.8

Obsoletes

Name Value
php71-php-pecl-oci8 < 2.1.8

Download

Type URL
Binary Package php71-php-oci8-7.1.23-1.fc28.remi.x86_64.rpm
Source Package php71-php-7.1.23-1.fc28.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/fedora/28/remi/x86_64/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php71-php-oci8 rpm package:
    # dnf --enablerepo=remi install php71-php-oci8

Files

Path
/etc/opt/remi/php71/php.d/20-oci8.ini
/etc/opt/remi/php71/php.d/30-pdo_oci.ini
/opt/remi/php71/root/usr/lib64/php/modules/oci8.so
/opt/remi/php71/root/usr/lib64/php/modules/pdo_oci.so

Changelog

See php71-php-7.1.23-1.fc28.remi.x86_64.rpm changelog.

See Also

Package Description
php71-php-odbc-7.1.23-1.fc28.remi.x86_64.rpm A module for PHP applications that use ODBC databases
php71-php-odbc-7.1.24-1.fc28.remi.x86_64.rpm A module for PHP applications that use ODBC databases
php71-php-opcache-7.1.23-1.fc28.remi.x86_64.rpm The Zend OPcache
php71-php-opcache-7.1.24-1.fc28.remi.x86_64.rpm The Zend OPcache
php71-php-pdo-7.1.23-1.fc28.remi.x86_64.rpm A database access abstraction module for PHP applications
php71-php-pdo-7.1.24-1.fc28.remi.x86_64.rpm A database access abstraction module for PHP applications
php71-php-pdo-dblib-7.1.23-1.fc28.remi.x86_64.rpm PDO driver Microsoft SQL Server and Sybase databases
php71-php-pdo-dblib-7.1.24-1.fc28.remi.x86_64.rpm PDO driver Microsoft SQL Server and Sybase databases
php71-php-pear-1.10.5-6.fc28.remi.noarch.rpm PHP Extension and Application Repository framework
php71-php-pear-1.10.6-1.fc28.remi.noarch.rpm PHP Extension and Application Repository framework
php71-php-pecl-ahocorasick-0.0.1-1.fc28.remi.x86_64.rpm Effective Aho-Corasick string pattern matching algorithm
php71-php-pecl-amqp-1.9.3-1.fc28.remi.x86_64.rpm Communicate with any AMQP compliant server
php71-php-pecl-apcu-5.1.12-1.fc28.remi.x86_64.rpm APC User Cache
php71-php-pecl-apcu-5.1.13-1.fc28.remi.x86_64.rpm APC User Cache
php71-php-pecl-apcu-bc-1.0.4-1.fc28.remi.x86_64.rpm APCu Backwards Compatibility Module
Advertisement
Advertisement